

function outsideV(e, additionalMargin) {
    outsideV.w || (outsideV.w = $(window));
    if (!(e instanceof $))
        e = $(e);
    return e.offset().top + e.height() > outsideV.w.height() - (additionalMargin || 0) - 64;
} // outsideV


function quotedString(s) { return '"'+s.replace(/(['"\\])/g, "\\$1")+'"' }


$(function(){

	HFS = { folder:'{.js encode|%folder%.}', number:%number%, paged:1 };
	
    $('.trash-me').detach(); // this was hiding things for those w/o js capabilities

    var x = $('input[type=file]');

    // we must create an empty "template", by cloning before it's set to a file, because on some browsers (Opera 10) emptying the value run-time is not allowed.
    // this must be done after the above instruction, so we'll clone also the behavior. 
    var fileTpl = x.clone(true).css('display','none');

    $('#search form').submit(function(){
        var s = $(this).find('[name=search]').val();
        var a = '';
        var ps = [];
        switch ($('[name=where]:checked').val()) {
            case 'fromhere':
                ps.push('sort=t&search='+s);
                break;
        }
        location = a+'?'+ps.join('&');
        return false;
    });
    
    // workaround for those browsers not supporting :first-child selector used in style
    if ($('#files td:first').css('text-align') != 'left')
        $('#files tr td:first-child').css('text-align','left');

    selectedChanged();

});

function addPagingButton(where) {
    $("<button id='show_all' >Show Pages</button>").insertBefore(where || '#files').click(function(){
        $(this).remove();
        pageIt(true);
        delCookie('paged');
    });
}//addPagingButton

function pageIt(anim) {
    var rows = $('#files tr');
    if (!rows.size()) return;
    
    page = 0; // this is global
	var pages = $("<span id='pages'>Page # &nbsp;&nbsp;</span>").css('visibility','hidden').insertBefore('#files');
    var pageSize = 0;
    while (!outsideV(rows[pageSize], 20))
        if (++pageSize >= rows.size())
            return pages.remove();s
    if (pageSize == 0) return; // this happens when the page is not formatted at this exact time, and the table is misplaced 

    Npages = Math.ceil(HFS.number / pageSize);
    if (Npages == 1)
        return pages.remove();
    $('#files').width($('#files').width()); // hold it still

    var s = '';
    for (var i=1; i <= Npages; i++)
        s += '<span class="pagenumber" style="cursor:pointer;">'+i+'</span> ';
    s = $(s);
    s.appendTo(pages).click(function(){
        page = Number(this.innerHTML)-1;
        $('#files tr:gt(0):visible').hide();
        $('#files tr:gt('+(page*pageSize)+'):lt('+pageSize+')').show();
        pages.find('span').removeClass('selectedPage').filter(':nth('+page+')').addClass('selectedPage');
    });
    s.first().addClass('selectedPage');		
    $('#files tr:gt('+((page+1)*pageSize)+')').hide();
    pages.append($("<button id='show_all' type='button' style='cursor:pointer;margin-bottom:0;float:none;'>Show All</button>").click(function(){
        pages.slideUp(function(){ pages.remove(); });
        $('#files tr:hidden').show();
        addPagingButton();
    }));
    pages.css({'visibility':'', 'display':'none'});
    if (anim) pages.slideDown()
    else pages.show();		
}//pageIt


function selectedChanged() {
    $("#selected-number").text( selectedItems().size() ).parent().show();
} // selectedChanged


function submit(data, url) {
    var f = $('#files').closest('form');
    if (url) f.attr('action', url);
    f.find('.temp').remove();
    for (var k in data)
        f.append("<input class='temp' type='hidden' name='"+k+"' value='"+data[k]+"' />");
    f.submit();
}//submit


RegExp.escape = function(text) {
    if (!arguments.callee.sRE) {
        var specials = '/.*+?|()[]{}\\'.split('');
        arguments.callee.sRE = new RegExp('(\\' + specials.join('|\\') + ')', 'g');
    }
    return text.replace(arguments.callee.sRE, '\\$1');
}//escape


function include(url, type) {
    $.ajaxSetup({async: false}); // we'll wait.
    if (!type)
        type = /[^.]+$/.exec(url);
    var res;
    if  (type == 'js')
        res = $.getScript(url);
    else res = $.get(url, function(){ 
        if (type == 'css')
            $('head').append('<link rel="stylesheet" href="'+url+'" type="text/css" />');
    });
    $.ajaxSetup({async: true}); // restore it
    return res.responseText;
}//include


function ezprompt(msg, options, cb) {
    // 2 parameters means "options" is missing
    if (arguments.length == 2) {
        cb = options;
        options = {};
    }
    var v;
    if (v = options.type) {
        msg += '<br />';
        if (v == 'textarea')
            msg += '<textarea name="txt" cols="30" rows="8">'+options['default']+'</textarea>';
        else
            msg += '<input name="txt" style="width:240px;" type="'+v+'"'
                + ((v = options['default']) ? ' value="'+v+'"' : '')
                + ' />';
    }
    $.prompt(msg, {
        opacity: 0.9,
        overlayspeed: 'fast',
        loaded: function(){  
            $('#jqibox').find(':input').keypress(function (e) {
                var c = (e.keyCode || e.which);
                if (options.keypress && options.keypress(c, this, e) === false) return;
                if (c != 13 || this.tagName == 'TEXTAREA') return; // ENTER key is like submit, but not in textarea
                $('.jqibuttons button:first').click();
                return false;
            }).filter(':first').focus()[0].select(); 
        },
        submit: function(val,div,form) {
            var res = cb(options.type ? form.txt : form, $('#jqibox'), options.cbData );
            if (res === false) {
                $('#jqibox').find(':input:first').focus();
                return false;
            }
            return true;
        }, 
        fadeClicked: function() { $('#jqibox').find(':input:first').focus(); }
    });
}//ezprompt



// this is a factory for ajax request handlers
function getStdAjaxCB(what2do) {
    if (!arguments.length)
        what2do = true;
    return function(res){
        res = $.trim(res);
        if (res != "ok")
            return alert("Error: "+res);
        // what2do is a list of actions we are supposed to do if the ajax result is "ok"
        if (typeof what2do == 'undefined') 
            return;            
        if (!$.isArray(what2do))
            what2do = [what2do];
        for (var i=0; i<what2do.length; i++) {
            var w = what2do[i];
            switch (typeof w) {
                case 'function': w(); break; // you specify exactly what to do
                case 'string':
                    switch (w[0]) {
                        case '!': alert(w.substr(1)); break;
                        case '>': location = w.substr(1); break;
                        default: putMsg(w); break;
                    }
                case 'boolean': if (w) location = location; break;
            }
        }
    }
}//getStdAjaxCB

function getItemName(el) {
    if (typeof el == 'undefined')
        return false;
    var s = el.getAttribute('value'); 
	var s = (decodeURIComponent || unescape)(s);
		return s;
}

function selectedItems() { return $('#files .selector:checked') }

function selectedFilesAsStr() {
    var a = [];
    selectedItems().each(function(){
        a.push(getItemName(this));
    });
    return a.join(":");
}

function selectionMask() {
    ezprompt('Select anything containing the text below:', {'type':'text', 'default':'*'}, function(s){
        if (!s) return false;
        var re = s.match('^/([^/]+)/([a-zA-Z]*)');
        if (re)
            re = new RegExp(re[1], re[2]);
        else {
            var n = s.match(/^(\\*)/)[0].length;
            s = s.substring(n);
            var invert = !!(n % 2); // a leading "\" will invert the logic
            s = RegExp.escape(s).replace(/[?]/g,".");;
            if (s.match(/\\\*/)) {
                s = s.replace(/\\\*/g,".*");
                s = "^ *"+s+" *$";   // in this case let the user decide exactly how it is placed in the string  
            }
            re = new RegExp(s, "i");
        }
        $("#files .selector")
            .filter(function(){ return invert ^ re.test(getItemName(this)); })
            .closest('tr').addClass("selected").find('.selector').attr('checked',true);
        selectedChanged();
    }); 
}//selectionMask

function setCookie(name,value,days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
} // setCookie


function getCookie(name) {    
    var a = document.cookie.match(new RegExp('(^|;\s*)('+name+'=)([^;]*)'));
    return (a && a[2]) ? a[3] : null;
} // getCookie

function delCookie(name) {
	setCookie(name,"",-1);
} // delCookie

// END HFS FUNCTIONS




/*

	Because HFS by default included some very handy functions,
	I kept many of them and they are the ones found above.
	Any functions I (Raybob) wrote that are specifically
	for FHFS and don't come with the default HFS are 
	the ones below.  I like organization :)

*/




// BEGIN FHFS FUNCTIONS


// ON PAGE LOAD!!
$(function() {

	{.if|{.and|{.from table|installvars|maintenanceMODE.}|{.^isadmin.}.}|{: prompt('Don\'t forget, your server is currently in maintenance mode!'); :}.}
	{.if not|{.^notes|{.^username.}|pref_func_pages.}{.?pages.}|{: pageIt(); :}.}

	var nopics = {.if|{.^containspic.}|0|1.}; if (nopics || (screen.width <= 1024)) { $('.column5_td_folder').hide();$('.column5_td_file').hide();$('#column5_th').hide(); }
	if (screen.width <= 1024) { $('.column4_td_folder').hide();$('.column4_td_file').hide();$('#column4_th').hide(); $('#panel').css('margin-right', '4px');$('#panel').css('margin-left', '2px');$('#files').css('width', '550px');}
});

{.if|{.^overlimit.}|{:
	function promptLimit1() { var limit = '<u>NOTICE:</u> Your account is currently exceeding its storage limit of {.^maxsizeGB.}GB by {.sub|{.^usedspaceMB.}|{.^maxsizeMB.}.}MB.<br />Currently, you are restricted from uploading, and your files may not be downloaded.<br />Please remove some files to get back under the limit.'; prompt(limit); }
	function promptLimit2() { prompt('You cannot upload while your account exceeds its storage limit.'); }
	$(function() { promptLimit1(); });
:}.}


// Change passwords
function changePwd(skipconfirm) {

        var prompttext = '<br /><div style="width:500px;">Enter your current password once, then your desired password twice. You will no longer be able to log in with your old password! Also, your security questions will be reset as your account\'s encryption key changes. </div><br />Enter your old password &nbsp;<input type="password" style="width:300px; margin-left:6px;" name="old" /><br /><br />Enter your new password &nbsp;<input type="password" style="width:300px;" name="new1" /><br />Enter your new password &nbsp;<input type="password" style="width:300px" name="new2" /><br />';

        $.prompt(prompttext, {
            buttons: {
                "Change": "Change"
            },
            submit: function (v, m, f) {

                pleasewait();
                $.post('?mode=section&id=ajax.changepwd', {
                    old: f.old,
                    new1: f.new1,
                    new2: f.new2
                }, function (data) {
                    $(".jqibuttons button:first").click();
                    $.prompt(data, {
                        loaded: function () {
                            if (data.indexOf("Successful") > 0) {
                                setTimeout('$(".jqibuttons button:first").click()', 2000);
                            } else {
                                setTimeout('$(".jqibuttons button:first").click(); changePwd("yes");', 2000);
                            }
                        },
                        buttons: {
                            OK: 'OK'
                        }
                    });
                });
            }
        });
}


// Move files
function moveClicked(folderlist) {
    var el = $("#files .selected .the-item");
    if (el.size() == 0) {
        prompt("You must select something to move first!");
	setTimeout('$(".jqibuttons button:first").click()', 2000);
    } else {
        $.prompt(folderlist, {
            buttons: {
                Move: "Move"
            },
            submit: function (v, m, f) {
                pleasewait();
                var files = selectedFilesAsStr();
                $.post('?mode=section&id=ajax.move', {
                    destination: f.destination,
                    files: files
                }, function (data) {
                    $(".jqibuttons button:first").click();
                    $.prompt(data, {
                        loaded: function () {
                            if (data.indexOf("Move Successful") > 0 && data.indexOf("500") < 1 && data.indexOf("403") < 1 && data.indexOf("400") < 1) {
				$(el).closest('tr').remove(); selectedChanged();
                                setTimeout('$(".jqibuttons button:first").click()', 2000);
                            }
                        },
                        submit: function () {
                            if (data.indexOf("Move Successful") > 1 && (data.indexOf("500") > 0 || data.indexOf("403") > 0 || data.indexOf("400") > 0)) {
       				prompt('Refreshing...');
                                window.location.reload();
                            }
                        },
                        buttons: {
                            OK: 'OK'
                        }
                    });
                });
            }
        });
    }
}


// Delete files
function deleteSelected() {

    var el = $("#files .selected .the-item");

    function stop() { prompt("You must select something to delete first!"); setTimeout('$(".jqibuttons button:first").click()', 2000); }

    if (el.size() == 0) return stop();

    if (confirm("Are you sure?  Deletion is permanent and your files are NOT recoverable!")) {

        pleasewait();

        $.post("?mode=section&id=ajax.delete", {
            filename: selectedFilesAsStr(),
        }, function (data) {
            $(".jqibuttons button:first").click();

            $.prompt(data, {
                loaded: function () {
                    if (data.indexOf("Delete Successful") > 0 && data.indexOf("500") < 1 && data.indexOf("403") < 1) {
						$(el).closest('tr').remove(); selectedChanged();
                        setTimeout('$(".jqibuttons button:first").click()', 2000);
                    }
                },
                submit: function () {
                    if (data.indexOf("Delete Successful") > 1 && (data.indexOf("500") > 0 || data.indexOf("403") > 0)) {
						prompt('Refreshing...');
                        window.location.reload();
                    }
                },
                buttons: {
                    OK: "OK"
                },
            })
        });

    }
}


// Switch files directory
function switchSelected(destination) {

    var el = $("#files .selected .the-item");

    function stop() { prompt("You must select something to make " + destination + " first!"); setTimeout('$(".jqibuttons button:first").click()', 2000); }

    if (el.size() == 0) return stop();

    if (confirm("Are you sure? This process may take a while for large files.")) {

        pleasewait();

        $.post("?mode=section&id=ajax.switch", {
            filename: selectedFilesAsStr(),
            destination: destination
        }, function (data) {
            $(".jqibuttons button:first").click();

            $.prompt(data, {
                loaded: function () {
                    if (data.indexOf("Switch Successful") > 0 && data.indexOf("500") < 1 && data.indexOf("403") < 1 && data.indexOf("400") < 1) {
                        setTimeout('$(".jqibuttons button:first").click()', 2000);
                    }
                },
                buttons: {
                    OK: "OK"
                },
            })
        });
    }
}



// Create folder
function newFolder(folderlist) {

    if (folderlist) {
        var prompttext = 'Enter a name for this folder:<br /><div style="height:8px;"></div><input type="text" name="name" id="name" style="width:300px;" /><br /><div style="height:16px;"></div>Where should this folder be placed?<br /><div style="height:8px;"></div><input type="radio" name="destination" value="" checked="checked"  /> <i>Current Folder</i><br />' + folderlist;
    } else {
        var prompttext = '<img src={.^getimage|icon-new.png.} style="height:16px; width:16px;" /> Enter a name for this folder:<br /><div style="height:8px;"></div><input type="text" name="name" id="name" style="width:300px;" /><br />';
    }

    $.prompt(prompttext, {
        buttons: {
            Submit: "Submit"
        },
        submit: function (v,m,f) {

            $.post("?mode=section&id=ajax.newfolder", {
                name: f.name,
                destination: f.destination
            }, function (data) {
                $(".jqibuttons button:first").click();

                $.prompt(data, {
                    loaded: function () {
                        if (data.indexOf("Successful") > 0 && data.indexOf("500") < 1 && data.indexOf("403") < 1 && data.indexOf("400") < 1) {
                            window.location.reload();
                        }
                    },
                    buttons: {
                        OK: "OK"
                    },
                });
            });
        }
    });
}


// Rename Files...  This one took a long time and it's my first attempt at JSON :)
function renameSelected(shared, folder) {

    var el = $("#files .selected .the-item");
    if (el.size() == 0) {
        prompt("You must select something to rename first!");
        setTimeout('$(".jqibuttons button:first").click()', 2000);
    } else if (el.size() > 1) {
        prompt("You can only rename one file at a time!");
        setTimeout('$(".jqibuttons button:first").click()', 2000);
    } else {
	
	// Above, Make sure only one file is selected, then go on.
	
        var file = selectedFilesAsStr();
		
		// Below is where we decide whether or not to request a random URL to be generated for shared files.

        if (!shared || file.indexOf("----") != 32) {
            var norandom = 1;
        } else {
            var norandom = 0;
        }
		
		// Here we trim off the random URL if it has one so we can nicely prompt just the actual name to the user in the input box.

        if (shared && file.indexOf("----") == 32) {
            var file = file.slice(36);
        }
		
		// Below, we prompt the HTML with inputs, and only ask for confirmation on submit if this is a shared file.

        $.prompt('<img src="{.^getimage|icon-rename.png.}" style="height:16px; width:16px;"  alt="" />&nbsp; Enter a New Name for this Item:<br /><div style="height:8px;"></div><input type="text" style="width:350px;" id="newname" name="newname" value="' + file + '" /><br /><br />For shared files, the shared ID will also be reset.<br >Also, be careful not to change the file extension!', {
            buttons: {
                Rename: "Rename"
            },
            submit: function (v, m, f) {
                if (shared) {
                    if (confirm("Are you sure? Any and all links to this shared file will be invalidated if it has a random URL!")) {
                        var confirmed = 1;
                    }
                } else {
                    var confirmed = 1;
                }
                if (confirmed) {
				
				// If we're really gonna go through with the request then say please wait, get original name of selected file, and post the original name, new name, and whether or not we want a random URL.
				
                    pleasewait();
                    var file = selectedFilesAsStr();
                    $.post('?mode=section&id=ajax.rename', {
                        newname: f.newname,
                        file: file,
                        norandom: norandom
                    }, function (data) {
                        $(".jqibuttons button:first").click();
						
						// Once we get the JSON response, if data reports an OK request, do all the ajax fancy stuff, otherwise just prompt the result.
						// 4 JSON values are returned, 'result' to prompt to the user, 'ok' to decide to continue, 'id' is the shared id, and 'nameinput' is what we input to set as the new name.
						
                        if (data.ok == true) {
						
                            nameinput = data.nameinput; id = data.id;
							
							// If not asking for random, then the fullname should equal what we input, otherwise add the ID reponse to the beginning of the full new name.
							
                            if (norandom) {
								newname = nameinput;
                            } else {
                                newname = id + "----" + nameinput;
                            }
							
							streamurl = folder.replace("/shared/", "/SHA/").replace("/private/", "/PRI/") + newname;
							
							// Here we make the AJAX HTML changes, changing the shared ID box, prompting 2 limitations, changing the main name, the streaming button URL, and the main link.
							
                            $("#files .selected .sharedid").html(id);
                            $("#files .selected .copy_button").attr("onclick", "prompt('You cannot get links for files you renamed until you re-load the page.')");
                            $("#streamallbtn").attr("onclick", "prompt('You cannot stream all MP3s after renaming a file until you re-load the page.')");
                            $("#files .selected .mainname").html(nameinput);
                            $("#files .selected .imgstream").attr("onclick", "StreamSelected('file',streamurl,nameinput)")
                            $("#files .selected .selector").attr("value", newname);
                            $("#files .selected .the-item").attr("href", newname);
							$('#files .selector').attr('checked', false); $('#files .selector').closest('tr').removeClass('selected'); $('#files .x').hide(); selectedChanged();
							
                            setTimeout('$(".jqibuttons button:first").click()', 2000);
                            selectedChanged();
							
							prompt(data.result);
                        } else {
                            prompt(data.result);
                        }
                    }, "json");
                }
            }
        });
    }
}



// Share folders
function shareFolder(isshared, remote, folder) {

    if (isshared) {
        pleasewait();
		if (remote) { url = folder + "/?mode=section&id=ajax.sharefolder" } else { url = "?mode=section&id=ajax.sharefolder" }
        $.post(url, {
            action: "disable",
			remote: remote
        }, function (data) {
            if (data.indexOf('Save Successful') > -1) {
				if (remote) {
					iconid = "#" + folder + "-lockicon";
					$(iconid).html('<img src="{.^getimage|lock_red.png.}" alt="" title="Folder Not Browsable" onclick="prompt( \' You must reload the page before you can share or unshare this folder again. \' );" />');
				} else {
					$("#sharefolderBtn").attr("onclick", "shareFolder(0)");
					$("#sharefolderBtn").html("<img src='{.^getimage|lock_green.png.}'  style='height:16px; width:16px;'  alt='' />&nbsp; Enable Public Browsing Here");
					$("#publicnote").html("");
				}
            }
            $(".jqibuttons button:first").click();
            prompt(data);		
        });
		
    } else {
        pleasewait();		
		if (remote) { url = folder + "/?mode=section&id=ajax.sharefolder" } else { url = "?mode=section&id=ajax.sharefolder" }
        $.post(url, {
            action: "enable",
			remote: remote
        }, function (data) {
            if (data.indexOf('Save Successful') > -1) {
				if (remote) {
					iconid = "#" + folder + "-lockicon";
					$(iconid).html('<img src="{.^getimage|lock_green.png.}" alt="" title="Publicly Browsable Folder" onclick="prompt( \' You must reload the page before you can share or unshare this folder again. \' );" />');
				} else {
					$("#sharefolderBtn").attr("onclick", "shareFolder(1)");
					$("#sharefolderBtn").html("<img src='{.^getimage|lock_red.png.}'  style='height:16px; width:16px;'  alt='' />&nbsp; Disable Public Browsing Here");
					$("#publicnote").html("Note: This folder is currenty set to public");
				}
            }
            $(".jqibuttons button:first").click(); prompt(data);			
			setTimeout('$(".jqibuttons button:first").click()', 2000);
        });
    }
}


// Set file comments
function setComment() {

    var selected = $("#files .selected .the-item");

    if (!selected.size()) {
        prompt('You must select something to add a note to first!');
    } else if (selected.size() > 1) {
        prompt('You can only add a comment to one file at a time.');
    } else {

        var prompttxt = '<img src="{.^getimage|icon-comment.png.}" alt="" style="height:16px;margin-bottom:-4px;" />&nbsp; Enter a comment to add to this item...<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; {.if|{.from table|features|COMMENTHTML.}|{:Note that HTML input is accepted!:}|{:Note that HTML input is not allowed.:}.}<br /><br /><textarea name="input" style="width:400px;height:150px;resize:none;" id="comment_input" />';

        $.prompt(prompttxt, {
            buttons: {
                Submit: "Submit"
            },
			loaded: function () {
				$("#comment_input").val($("#files .selected .the_comment").html());
			},
            submit: function (v, m, f) {

                pleasewait();

                $.post('?mode=section&id=ajax.comment', {
                    input: f.input,
                    files: selectedFilesAsStr()
                }, function (data) {

                    $(".jqibuttons button:first").click();
                    prompt(data);

                    if (data.indexOf('Success') > 0) {
                        if (f.input) {
                            var newdata = '<br /><div style="height:4px;"></div><img src="{.^getimage|icon-comment.png.}" alt="" style="height:16px;margin-bottom:-4px;" /> <span class="the_comment">' + decodeURI(encodeURI(f.input).replace(/%0A/gi, '<br />')) + '</span>';
                        } else {
                            var newdata = '';
                        }
                        $("#files .selected .comment").html(newdata);
                        setTimeout('$(".jqibuttons button:first").click()', 2000);
						$('#files .selector').attr('checked', false); $('#files .selector').closest('tr').removeClass('selected'); $('#files .x').hide(); selectedChanged();
                    }

                });
            }
        });

    }
}









// Sharing tools... clipboard text and send email

function RunSharePrompt(fileURL, ext, id, name, streamURL) {

    $('div.null1').html(id + name);

    var shareButtons1 = '<div id="d_clip_container_DL" class="copy_button2" style="position:relative;" onclick="$(this).fadeOut();$(this).fadeIn();" ><div id="d_clip_button_DL" >Copy Direct Link</div></div><br />';
    var shareButtonsMP3 = '<div id="d_clip_container_STREAM" class="copy_button2" style="position:relative;" onclick="$(this).fadeOut();$(this).fadeIn();"><div id="d_clip_button_STREAM" >Copy Streaming URL</div></div><br />';
    var shareButtonsJPG = '<div id="d_clip_container_JPEG" class="copy_button2" style="position:relative;" onclick="$(this).fadeOut();$(this).fadeIn();"><div id="d_clip_button_JPEG" >Copy HTML Code</div></div><br />';
    var shareButtons2 = '<div id="d_clip_container_HTML" class="copy_button2" style="position:relative;" onclick="$(this).fadeOut();$(this).fadeIn();"><div id="d_clip_button_HTML" >Copy HTML Code</div></div><br />';
    var shareButtons3 = '<div id="d_clip_container_FORUM" class="copy_button2" style="position:relative;" onclick="$(this).fadeOut();$(this).fadeIn();"><div id="d_clip_button_FORUM" >Copy Forum Code</div></div><br />'; 
	var shareButtons4 = '{.if|{.and|{.from table|features|sharingtoolsemail.}{.^isadmin.}|{.not|{.^publicmode.}.}.}|{: <div id="d_clip_container_EMAIL" class="copy_button2" style="position:relative;" onclick="$.prompt.close(); promptsendemail();"><div id="d_clip_button_EMAIL" >Send via Email</div></div> :}.} ';
    var shareButtons5 = '<div style="height:16px;"></div>'

    if (ext == 'wma' || ext == 'mp3' || ext == 'm4a' || ext == 'wav') {
        prompt("<div style='width:300px;height:8px;'></div>" + shareButtons1 + shareButtonsMP3 + shareButtons2 + shareButtons3 + shareButtons4 + shareButtons5);
    } else if (ext == 'jpg' || ext == 'jpeg' || ext == 'jpe' || ext == 'png' || ext == 'gif') {
        prompt("<div style='width:300px;height:8px;'></div>" + shareButtons1 + shareButtonsJPG + shareButtons3 + shareButtons4 + shareButtons5);
    } else {
        prompt("<div style='width:300px;height:8px;'></div>" + shareButtons1 + shareButtons2 + shareButtons3 + shareButtons4 + shareButtons5);
    }

	    var clipDL = new ZeroClipboard.Client();
        clipDL.setText('{.^address.}' + fileURL);
        clipDL.glue('d_clip_button_DL', 'd_clip_container_DL');
		
	    var clipFORUM = new ZeroClipboard.Client();
        clipFORUM.setText('[url]{.^address.}' + fileURL + '[/url]');
        clipFORUM.glue('d_clip_button_FORUM', 'd_clip_container_FORUM');

    if (ext == 'wma' || ext == 'mp3' || ext == 'm4a' || ext == 'wav') {

        var clipSTREAM = new ZeroClipboard.Client();
        clipSTREAM.setText('{.^address.}/~mediaplayer?type=file&path=' + streamURL + '&name=' + name);
        clipSTREAM.glue('d_clip_button_STREAM', 'd_clip_container_STREAM');

        var clipHTML = new ZeroClipboard.Client();
        clipHTML.setText('<a href="{.^address.}' + fileURL + '">' + name + '</a>');
        clipHTML.glue('d_clip_button_HTML', 'd_clip_container_HTML');
		
    } else if (ext == 'jpg' || ext == 'jpeg' || ext == 'jpe' || ext == 'png' || ext == 'gif') {

        var clipJPEG = new ZeroClipboard.Client();
        clipJPEG.setText('<a href="{.^address.}' + fileURL + '"><img src="{.^address.}' + fileURL + '" alt="" /></a>');
        clipJPEG.glue('d_clip_button_JPEG', 'd_clip_container_JPEG');
		
    } else {

        var clipHTML = new ZeroClipboard.Client();
        clipHTML.setText('<a href="{.^address.}' + fileURL + '">' + name + '</a>');
        clipHTML.glue('d_clip_button_HTML', 'd_clip_container_HTML');

    }
	
}





// Localized function for sending the email, called in the function above

function promptsendemail() {
    var filename = $('div.null1').html();
    var emailText = 'Enter an email address to send to<br /><input type="text" name="recipient" style="width:300px;" /><br /><div style="height:8px;"></div>Optionally, enter a message to send<br /><textarea name="message" style="width:400px;height:200px;resize:none;" ></textarea><br />* Your Email Address WILL be included in the email.<br />* Note that if there is a problem sending your message, <br /> &nbsp;&nbsp; your entries above will be lost!';
    $.prompt(emailText, {
        submit: function (v, m, f) {
            pleasewait();
            $.post('?mode=section&id=ajax.share.sendmail', {
                message: f.message,
                recipient: f.recipient,
                filename: $('div.null1').html()
            }, function (data) {
                $(".jqibuttons button:first").click();
                if (data.ok == true) {
                    $.prompt.close();
                }
                prompt(data.result);
				setTimeout('$(".jqibuttons button:first").click()', 2000);
            }, "json");
        },
        buttons: {
            Send: "Send"
        }
    })
}





// Open Streaming popup window

function StreamSelected(type,path,name) { 

	// if (type == 'folder') { var window_size = 'height=424,width=600'; } else { var window_size = 'height=48,width=600' }
	
	var a = window.open('/~mediaplayer?type='+type+'&path='+path+'&name='+name,'player','height=100,width=200'); a.focus();
}




// Prompt choosing what hash
function PromptHashCalc() {

    var el = $("#files .selected .the-item");

    function stop() {
        prompt("You must select something first!");
        setTimeout('$(".jqibuttons button:first").click()', 2000);
    }
    if (el.size() == 0) return stop();

    hashprompt = '<div style="height:4px;"></div>&nbsp;&nbsp;Please Choose a Hash Function:<br /><div style="height:8px;"></div><table><tr><td><button onclick="filename = $(\'div.null1\').html(); SendForHash(\'sha256\'); ">SHA256</button></td><td><button onclick="filename = $(\'div.null1\').html(); SendForHash(\'sha512\')">SHA512</button></td><td><button onclick="filename = $(\'div.null1\').html(); SendForHash(\'mdc2\')">MDC2</button></td></tr><tr><td><button onclick="filename = $(\'div.null1\').html(); SendForHash(\'sha224\')">SHA224</button></td><td><button onclick="filename = $(\'div.null1\').html(); SendForHash(\'sha384\')">SHA384</button></td><td><button onclick="filename = $(\'div.null1\').html(); SendForHash(\'md4\')">MD4</button></td></tr><tr><td><button onclick="filename = $(\'div.null1\').html(); SendForHash(\'ripemd160\')">RIPEMD160</button></td><td><button onclick="filename = $(\'div.null1\').html(); SendForHash(\'sha1\')">SHA1</button></td><td><button onclick="filename = $(\'div.null1\').html(); SendForHash(\'md5\')">MD5</button></td></tr></table>';

    $.prompt(hashprompt, {
        buttons: {
            Exit: 'Exit'
        }
    });
}

// Actually send the request for the hash when selected
function SendForHash(mode) {

    var files = selectedFilesAsStr();

    $.prompt.close();
    pleasewait();

    $.post("?mode=section&id=ajax.hashcalc", {
        mode: mode,
        files: files,
    }, function (data) {
        $(".jqibuttons button:first").click(); 	
		$.prompt(data, { buttons: { Close:'Close' }});
		maxheight = ((screen.height) - 725); $('#div.jqi .jqimessage').css('max-height', maxheight);
    });
}



// Prompt thumbnails when you click on them.
function promptThumb(name) {

	maxheight = ((screen.height) - 425);

	prompthtml = '<div style="width:920px;max-height:' + maxheight + 'px;"><center><img alt="" style="max-width:920px;max-height:' + maxheight + 'px;" src="' + name + '" /></center></div>';

	$.prompt(prompthtml, { buttons: { Close:'Close' }});

	$('#div.jqi .jqimessage').css('max-height', maxheight); 
}



// Open functions when users press certain keys... 
$(document).keypress(function (a) {

    var d = (a.keyCode || a.which);
	
    waitfor1 = $.prompt.getCurrentState();

    if (waitfor1.length < 1) {

    if (d == 78) { $('#newfolderBtn').click(); }
	if (d == 68) { $('#deleteBtn').click(); }
	if (d == 77) { $('#moveBtn').click(); }
	if (d == 82) { $('#renameBtn').click(); }
	if (d == 65) { var a = selectedItems().size(); if (a == HFS.number) { $('#deselectall').click(); } else { $('#selectall').click(); } }
	if (d == 70) { $('#filterBtn').click(); }
    }
});


{.if|{.and|{.from table|features|UPLOADS.}{.^isadmin.}|{.not|{.^overlimit.}.}.}|{:
  {.load|uploader.js.}
:}.}
